Bug 995986 - Headpin Nightly : After the latest nightly installation, certain katello-services are not running and unable to run headpin commands
Headpin Nightly : After the latest nightly installation, certain katello-serv...
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
Nightly
x86_64 Linux
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Justin Sherrill
sthirugn@redhat.com
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-12 02:46 EDT by Tazim Kolhar
Modified: 2016-04-25 20:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-16 14:50:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
katello-debug attached (61.23 KB, application/gzip)
2013-08-12 02:46 EDT, Tazim Kolhar
no flags Details

  None (edit)
Description Tazim Kolhar 2013-08-12 02:46:03 EDT
Created attachment 785568 [details]
katello-debug attached

Description of problem:
After the latest nightly installation, certain katello-services are not running and unable to run headpin commands

Version-Release number of selected component (if applicable):
# rpm -qa | grep katello
katello-certs-tools-1.4.2-1.el6.noarch
katello-glue-candlepin-1.4.3-1.git.162.c75fe6b.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-1.4.3-1.git.7.a387813.el6.noarch
katello-cli-common-1.4.3-1.git.7.a387813.el6.noarch
katello-glue-elasticsearch-1.4.3-1.git.162.c75fe6b.el6.noarch
katello-selinux-1.4.4-1.el6.noarch
signo-katello-0.0.9-1.el6.noarch
katello-headpin-1.4.3-1.git.162.c75fe6b.el6.noarch
katello-common-1.4.3-1.git.162.c75fe6b.el6.noarch
katello-headpin-all-1.4.3-1.git.162.c75fe6b.el6.noarch
katello-configure-1.4.4-1.git.2.ce427c5.el6.noarch
katello-repos-1.4.2-1.el6.noarch


How reproducible:
# yum install -y katello-headpin-all
# katello-configure --deployment=headpin --user-pass=****

Steps to Reproduce:
1.# headpin -u admin -p admin version
Service unavailable or restarting, try later

2.# headpin -u admin -p admin ping
Service unavailable or restarting, try later

3.The UI gives 503 error

Actual results:
The access to cli and UI fails

Expected results:
successful access to cli and UI 

Additional info:
katello-debug attached
Comment 1 Tazim Kolhar 2013-08-12 02:54:42 EDT
Also, sharing the latest test report :

http://hudson.rhq.lab.eng.bos.redhat.com:8080/hudson/job/official-headpin-cli/238/

# headpin --username "admin" --password **** client saved_options 
--------------------------------------------------------------------------------
                                 Saved Options

Option                                                                                                                                         Value                     
--------------------------------------------------------------------------------
opt-1376287585818                                                                                                                              val-1376287585818         
environments-1376287585818                                                                                                                     env-value                 
opt 1376287585818                                                                                                                              Option with space in name 
providers-1376287585818                                                                                                                        prov-value                
012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789abcdefgh-1376287585818 long-value                
organizations-1376287585818                                                                                                                    org-value                 
# headpin --username "admin" --password **** org create --name tests
Service unavailable or restarting, try later

If you see above, one of the command worked fine and other failed

# katello-service status
tomcat6 (pid 8823) is running...[  OK  ]
httpd (pid  9057) is running...
thumbslug (pid  8996) is running...
elasticsearch (pid  8255) is running...
katello is not running.
delayed_job is not running.
delayed_job_monitor is not running.
Comment 2 sthirugn@redhat.com 2013-09-04 16:33:50 EDT
Works in nightly today.

# katello-service status
tomcat6 (pid 19421) is running...[  OK  ]
httpd (pid  19968) is running...
thumbslug (pid  19608) is running...
elasticsearch (pid  18812) is running...
katello (19943) is running.
delayed_job is running.
delayed_job_monitor is running.


Version Tested:
* candlepin-0.8.25-1.el6.noarch
* candlepin-cert-consumer-dell-per310-01.rhts.eng.bos.redhat.com-1.0-1.noarch
* candlepin-selinux-0.8.25-1.el6.noarch
* candlepin-tomcat6-0.8.25-1.el6.noarch
* elasticsearch-0.19.9-7.el6.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.4.3-1.el6.noarch
* katello-cli-1.4.3-1.git.27.a001bbe.el6.noarch
* katello-cli-common-1.4.3-1.git.27.a001bbe.el6.noarch
* katello-common-1.4.6-1.git.4.457c852.el6.noarch
* katello-configure-1.4.5-1.el6.noarch
* katello-glue-candlepin-1.4.6-1.git.4.457c852.el6.noarch
* katello-glue-elasticsearch-1.4.6-1.git.4.457c852.el6.noarch
* katello-headpin-1.4.6-1.git.4.457c852.el6.noarch
* katello-headpin-all-1.4.6-1.git.4.457c852.el6.noarch
* Katello-Katello-Installation-RegisterRHNClassic-1.1-4.noarch
* Katello-Katello-Sanity-ImportKeys-1.2-1.noarch
* katello-repos-1.4.2-1.el6.noarch
* katello-selinux-1.4.4-1.git.1.7abb02b.el6.noarch
* thumbslug-0.0.27-1.el6.noarch
* thumbslug-selinux-0.0.27-1.el6.noarch

Note You need to log in before you can comment on or make changes to this bug.